aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2021-04-30 10:20:52 +0300
committerHeikki Halmet <heikki.halmet@qt.io>2021-05-03 08:19:57 +0300
commit0607b957577fcf86ab8cf5e08855829cc69c9968 (patch)
tree1f48a2181e8ac584fd943706369b42c9375d5138
parent77c61245740cc47d473897baa88d1a7edf6627a3 (diff)
Provisioning: Activate SLES and enable modules
Pick-to: 5.12.7 Pick-to: 5.12.10 Task-number: QTQAINFRA-4437 Change-Id: Icfe15e028634eeef85671b2becefe98123f567f8 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh50
-rwxr-xr-xcoin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh48
2 files changed, 98 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh b/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh
new file mode 100755
index 00000000..2d6c2044
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-12-x86_64/02-enable-modules.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/suse_rk.sh -o "/tmp/suse_rk.sh" &>/dev/null
+sudo chmod 755 /tmp/suse_rk.sh
+/tmp/suse_rk.sh
+
+# Activate these modules
+# sudo SUSEConnect -p PackageHub/12.4/x86_64
+sudo SUSEConnect -p sle-module-toolchain/12/x86_64
+sudo SUSEConnect -p sle-sdk/12.4/x86_64
+sudo SUSEConnect -p sle-module-legacy/12/x86_64
+# This is needed by Nodejs and QtWebEngine
+sudo SUSEConnect -p sle-module-web-scripting/12/x86_64
+
+sudo rm -f /tmp/suse_rk.sh
diff --git a/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh b/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh
new file mode 100755
index 00000000..0de056b6
--- /dev/null
+++ b/coin/provisioning/qtci-linux-SLES-15-x86_64/02-enable-modules.sh
@@ -0,0 +1,48 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/suse_rk.sh -o "/tmp/suse_rk.sh" &>/dev/null
+sudo chmod 755 /tmp/suse_rk.sh
+/tmp/suse_rk.sh
+
+# Activate these modules
+sudo SUSEConnect -p sle-module-desktop-applications/15/x86_64
+sudo SUSEConnect -p sle-module-development-tools/15/x86_64
+# This is needed by Nodejs and QtWebEngine
+sudo SUSEConnect -p sle-module-web-scripting/15/x86_64
+
+sudo rm -f /tmp/suse_rk.sh